<?
require_once"../system/start.php";
require_once"../system/sid.php";
require("../config.php");
$tyu="left";
$title="Форум";
head();

echo $fs1;

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_message` where `login` = '".$myid."'"),0);
echo "$div1 <b>Мои сообщения ($k_post)</b> $div9<br />";

if (empty($row['max'])) $row['max']=10;
$max = $row['max'];



$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_message` where `login` = '".$myid."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$q=mysql_query("SELECT * FROM `forum_message` where `login` = '".$myid."' ORDER BY `time` DESC LIMIT $start, $max");



if (mysql_num_rows($q)==0) {
echo "Нет сообщений\n";
}
while ($post = mysql_fetch_array($q))
{

$them=mysql_fetch_array(mysql_query("SELECT * FROM `forum_topic` WHERE `id` = '$post[topic]' LIMIT 1"));
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `forum_sections` WHERE `id` = '$post[section]' LIMIT 1"));
$razdel=mysql_fetch_array(mysql_query("SELECT * FROM `forum_subfor` WHERE `id` = '$post[subfor]' LIMIT 1"));

$ank=mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = $post[login] LIMIT 1"));



echo "$div2<a href='./tema/".$post['topic']."'>$them[name]</a> <a href='./tema/".$post['topic']."/end'>(".mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_message` WHERE `topic` = '$post[topic]'"),0).")</a>$div9\n";




echo "<a href='subfs/".$post['section']."'>$forum[name]</a> &gt; <a href='temes/".$post['subfor']."'>$razdel[name]</a><br />\n";




$ank2=mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = $post[login] LIMIT 1"));

if (empty($post['privat'])){
echo "<a href='".H."$ank2[id]' title='Анкета \"$ank2[user]\"'>$ank2[user]</a> (".date("d.m в H:i", $post['time']).")<br />".output_text($post['msg'])."<br />\n";
}else if($post['privat']==$row['id']||$post['login']==$row['id']||$row['id']==10||$row['id']==11){ // Если приват = челу
echo "<a href='".H."$ank2[id]' title='Анкета \"$ank2[user]\"'>$ank2[user]</a> (".date("d.m в H:i", $post['time']).")<br />".output_text($post['msg'])."<br />\n";
}else{ // если чел левый
echo "<a href='".H."$ank2[id]' title='Анкета \"$ank2[user]\"'>$ank2[user]</a> (".date("d.m в H:i", $post['time']).")<br />Приватное сообщение, видит только адресат...<br />\n";
}

}
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

echo "<br />$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"./index.php\">Форум</a>$div9";
if($autorize){ echo "$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"../enter.php\">На Главную</a>$div9";}

foot ();
?>